Subject: Re: compiling Tk800.023-1 onto a windows 2000 system with cygwin
From: "Gerrit P. Haase" <[email-masked]>
To: "Rob Philips" <[email-masked]>
Cc: [email-masked]
Date: Thu, 22 Aug 2002 13:26:19 +0200

Hallo Rob,

Am Donnerstag, 22. August 2002 um 12:15 schriebst du:

> Hello,

> while compiling Tk800.023-1 onto cygwin all seems to go fantastic but
> when i try to do a make install this is what i get :

Which version of perl do you use?
Where do you fetched the source?

> [Rophy]/cygdrive/c/cygwin/Tk800.023-1#make install
> cd pTk && make
> make[1]: Entering directory `/cygdrive/c/cygwin/Tk800.023-1/pTk'
> gcc -c -I.. -I../pTk/mTk/xlib -I. -Ibitmaps -I../pTk/mTk/xlib
> -DPERL_USE_SAFE_P TENV -fno-strict-aliasing -I/usr/local/include
> -DUSEIMPORTLIB -O2 -DVERSION=\800.023\" -DXS_VERSION=\"800.023\"
> -I/usr/lib/perl5/5.6.1/cygwin-multi/CORE -D_WIN32__ -D_WIN32 -DWIN32 -Wall
> -Wno-implicit-int -Wno-comment -Wno-unused -D__ SE_FIXED_PROTOTYPES__
> imgBMP.c
> In file included from tkPort.h:28,
>                  from tk.h:71,
>                  from imgBMP.c:11:
> tkWinPort.h:54: warning: `OPEN_MAX' redefined
> /usr/include/limits.h:143: warning: this is the location of the previous
> defini ion
> In file included from imgInt.h:14,
>                  from imgBMP.c:13:
> img.h:21: windows.h: No such file or directory
> make[1]: *** [imgBMP.o] Error 1
> make[1]: Leaving directory `/cygdrive/c/cygwin/Tk800.023-1/pTk'
> make: *** [pTk/libpTk.a] Error 2

> Dus anybody know how i can solve this problem???

Why don't you use the binary if using perl-5.6.1?
ftp://ftp.uni-erlangen.de/pub/pc/gnuwin32/cygwin/porters/Haase_Gerrit/1.3/perl/

and read the Tk800.023.README, thanks.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/